package com.fjhx.sale.service.contract;

import com.fjhx.sale.entity.contract.po.ContractBudget;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.vo.ContractBudgetVo;
import com.fjhx.sale.entity.contract.dto.ContractBudgetSelectDto;
import com.fjhx.sale.entity.contract.dto.ContractBudgetDto;


/**
 * <p>
 * 外销合同--预算 服务类
 * </p>
 *
 * @author
 * @since 2023-05-17
 */
public interface ContractBudgetService extends BaseService<ContractBudget> {

    /**
     * 外销合同--预算分页
     */
    Page<ContractBudgetVo> getPage(ContractBudgetSelectDto dto);

    /**
     * 外销合同--预算明细
     */
    ContractBudgetVo detail(Long id);

    /**
     * 外销合同--预算新增
     */
    void add(ContractBudgetDto contractBudgetDto);

    /**
     * 外销合同--预算编辑
     */
    void edit(ContractBudgetDto contractBudgetDto);

    /**
     * 外销合同--预算删除
     */
    void delete(Long id);

}
